#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	startup-notification
Version		:	0.12
Release		:	17.0.10.rel%{?dist}

Summary		:	Package contains startup-notification libraries
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPL
URL		:	https://www.freedesktop.org/software/startup-notification/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
%description
The startup-notification package contains startup-notification libraries.
These are useful for building a consistent manner to notify the user
through the cursor that the application is loading. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_includedir}/%{name}-1.0/libsn/sn*.h
%{_libdir}/lib%{name}-1.{la,so*}
%{_libdir}/pkgconfig/lib%{name}-1.0.pc
%{_defaultdocdir}/%{name}-%{version}/%{name}.txt

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--sysconfdir=%{_sysconfdir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	install

%{__mkdir_p}							\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}

install -m644 							\
	-D doc/%{name}.txt					\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}

#-----------------------------------------------------------------------------
%changelog
